#### Linux From Scratch - Version 9.0-systemd

### Chapter 5. Constructing a Temporary System

- Prev

  Patch-2.7.6

- Next

  Python-3.7.4

- Up
- Home

# 5.29. Perl-5.30.0

The Perl package contains the Practical Extraction and Report Language.

Approximate build time: 1.6 SBU
Required disk space: 275 MB

## 5.29.1. Installation of Perl

Prepare Perl for compilation:

    sh Configure -des -Dprefix=/tools -Dlibs=-lm -Uloclibpth -Ulocincpth

The meaning of the Configure options:

`-des`

  This is a combination of three options: -d uses defaults for all items; -e ensures completion of all tasks; -s silences non-essential output.

`-Uloclibpth amd -Ulocincpth`

  These entries undefine variables that cause the configuration to search for locally installed components that may exist on the host system.

Build the package:

    make

Although Perl comes with a test suite, it would be better to wait until it is installed in the next chapter.

Only a few of the utilities and libraries need to be installed at this time:

    cp -v perl cpan/podlators/scripts/pod2man /tools/bin
    mkdir -pv /tools/lib/perl5/5.30.0
    cp -Rv lib/* /tools/lib/perl5/5.30.0

Details on this package are located in Section 6.40.2, “Contents of Perl.”

- Prev

  Patch-2.7.6

- Next

  Python-3.7.4

- Up
- Home